Bug 522868 - arping avc
Summary: arping avc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 21:29 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 15:30:18 UTC


Attachments (Terms of Use)

Description Dave Jones 2009-09-11 21:29:27 UTC
type=1400 audit(1252701837.071:11): avc:  denied  { read } for  pid=832 comm="arping" path="/dev/console" dev=tmpfs ino=2086 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file

Comment 1 Daniel Walsh 2009-09-11 21:37:05 UTC
Why would arping read the /dev/console?  Is this happening on boot up?  Did setroubleshoot suggest this is a leaked file descriptor?

Comment 2 Dave Jones 2009-09-12 04:40:35 UTC
happens 4 times during boot up.

setroubleshoot not on that box (it's a very stripped down router with a small amount of flash, so no space for all its dependancies).

Comment 3 Daniel Walsh 2009-09-14 15:30:18 UTC
I have no idea what is doing with this so I will dontaudit.  

Could you check the system call to see if it is happening on exec?

Fixed in selinux-policy-3.6.31-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.